> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v3.0/wisej.web/editors/wisej.web.trackbar.md).

# TrackBar

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [TrackBar](/api/v3.0/wisej.web/editors/wisej.web.trackbar.md)

Enables the user to choose between a range of values by sliding a small bar along another bar.

{% tabs %}
{% tab title="C#" %}

```csharp
public class TrackBar : Control, ISupportInitialize
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class TrackBar
    Inherits Control
    Implements ISupportInitialize
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)TrackBar()

Initializes a new instance of the [TrackBar](/api/v3.0/wisej.web/editors/wisej.web.trackbar.md) class.

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)AutoSize

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether the height or width of the track bar is being automatically sized.

### ![](/files/uCY6T77rh488FWHzpJ6P)LargeChange

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets a value to be added to or subtracted from the [Value](#value) property when the scroll box is moved a large distance.

**Throws:**

* [ArgumentException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentexception) The assigned value is less than 0.

### ![](/files/uCY6T77rh488FWHzpJ6P)Maximum

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the upper limit of the range this [TrackBar](/api/v3.0/wisej.web/editors/wisej.web.trackbar.md) is working with.

### ![](/files/uCY6T77rh488FWHzpJ6P)Minimum

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the lower limit of the range this [TrackBar](/api/v3.0/wisej.web/editors/wisej.web.trackbar.md) is working with.

### ![](/files/uCY6T77rh488FWHzpJ6P)Orientation

[Orientation](/api/v3.0/wisej.web/enumerations/wisej.web.orientation.md): Returns or sets a value indicating the horizontal or vertical orientation of the track bar.

### ![](/files/uCY6T77rh488FWHzpJ6P)ShowValue

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets a flag indicating whether the value is displayed in a bubble control while the user is moving the knob.

The appearance key of the child bubble component is "bubble".

### ![](/files/uCY6T77rh488FWHzpJ6P)SmallChange

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the value added to or subtracted from the [Value](#value) property when the scroll box is moved a small distance.

### ![](/files/uCY6T77rh488FWHzpJ6P)TickFrequency

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets a value that specifies the delta between ticks drawn on the control.

### ![](/files/uCY6T77rh488FWHzpJ6P)TickStyle

[TickStyle](/api/v3.0/wisej.web/enumerations/wisej.web.tickstyle.md): Returns or sets a value indicating how to display the tick marks on the track bar.

### ![](/files/uCY6T77rh488FWHzpJ6P)Value

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets a numeric value that represents the current position of the scroll box on the track bar.

**Throws:**

* [ArgumentException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentexception) The assigned value is less than the value of [Minimum](#minimum); or the assigned value is greater than the value of [Maximum](#maximum).

## Methods

### ![](/files/uCY6T77rh488FWHzpJ6P)SetRange(minValue, maxValue)

Sets the minimum and maximum values for a [TrackBar](/api/v3.0/wisej.web/editors/wisej.web.trackbar.md).

| Parameter    | Type                                                              | Description                                    |
| ------------ | ----------------------------------------------------------------- | ---------------------------------------------- |
| **minValue** | [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32) | The lower limit of the range of the track bar. |
| **maxValue** | [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32) | The upper limit of the range of the track bar. |

## Events

### ![](/files/uCY6T77rh488FWHzpJ6P)AutoSizeChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the value of the [AutoSize](#autosize) property changes.

### ![](/files/uCY6T77rh488FWHzpJ6P)Scroll

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when either a mouse or keyboard action moves the scroll box.

### ![](/files/uCY6T77rh488FWHzpJ6P)ValueChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the [Value](#value) property of a track bar changes, either by movement of the scroll box or by manipulation in code.

## Implements

| Name                                                                                   | Description                                                                                                                |
| -------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                              |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                             |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/editors/wisej.web.trackbar.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
